(function() {
    'use strict';
    angular.
        module('classroomList').
        component('classroomList', {
            templateUrl: '/legacy/classroom-list.template.html',
            controller: ClassroomListController,
            bindings: {
                limit: '<',
            },
        });

    ClassroomListController.$inject = [
        '$scope',
        'BasicClassroom',
    ];

    function ClassroomListController ($scope, BasicClassroom) {

        var ctrl = this;

        BasicClassroom.query({}, function (classrooms) {
            // Check if a "limit" have been requested
            if (ctrl.limit) {
                $scope.classrooms = classrooms.slice(0, ctrl.limit);
            } else {
                $scope.classrooms = classrooms;
            }
        });
    }
})();
