(function() {
    'use strict';
    angular.
        module('messageDetail').
        component('messageDetail', {
            templateUrl: '/legacy/message-detail.template.html',
            controller: MessageController,
            bindings: {},
        });

    MessageController.$inject = [
        '$scope',
        '$stateParams',
        '$sce',
        'Message',
        'MessageRead',
    ];

    function MessageController ($scope, $stateParams, $sce, Message, MessageRead) {

        var ctrl = this;

        $scope.message_id = $stateParams.messageId;
        $scope.message = Message.get({messageId: $scope.message_id}, function(message) {
            MessageRead.get({message:$scope.message_id}, (response) => {
                if (response.is_read)
                    return response
            }, () => {
                MessageRead.save({message: $scope.message_id});
            })
        });

        $scope.get_as_safe_html = function(html_content) {
            return $sce.trustAsHtml(html_content);
        }

    }
})();