(function() {
    'use strict';

    angular
        .module('roleParticipationReport')
        .component('roleParticipationReport', {
            templateUrl: '/role-participation-report.template.html',
            controller: RoleParticipationReportCtrl,
            bindings: {
                date: '<',
                roles: '<',
                total: '<',
                ntes: '<',
                redes: '<',
                cities: '<'
            },
        });

    RoleParticipationReportCtrl.$inject = ['$scope'];

    function RoleParticipationReportCtrl ($scope) {

        var ctrl = this;

        ctrl.minimized = false;
        ctrl.toggleDetails = toggleDetails;

        ctrl.$onInit = function() {

        };

        function toggleDetails() {
            ctrl.minimized = !ctrl.minimized;
        }
    }
})();
