(function() {
    'use strict';

    angular
        .module('cityParticipationReportList')
        .component('cityParticipationReportList', {
            templateUrl: '/city-participation-report-list.template.html',
            controller: CityParticipationReportListCtrl,
            bindings: {
                date: '<',
                ntes: '<',
                funcoes: '<'
            },
        });

    CityParticipationReportListCtrl.$inject = ['$scope'];

    function CityParticipationReportListCtrl ($scope) {

        var ctrl = this;

        ctrl.cities = [];
        ctrl.minimized = false;

        ctrl.$onInit = function() {

        };

        ctrl.toggleDetails = toggleDetails;

        function toggleDetails() {
            ctrl.minimized = !ctrl.minimized;
        }
    }
})();
