(function() {
    'use strict';

    angular
        .module('classroomParticipationReport')
        .component('classroomParticipationReport', {
            templateUrl: '/classroom-participation-report.template.html',
            controller: ClassroomParticipationReportCtrl,
            bindings: {
                date: '<',
                classrooms: '<',
                total: '<'
            },
        });

    ClassroomParticipationReportCtrl.$inject = ['$scope'];

    function ClassroomParticipationReportCtrl ($scope) {

        var ctrl = this;

        ctrl.minimized = false;
        ctrl.toggleDetails = toggleDetails;

        ctrl.$onInit = function() {

        };

        function toggleDetails() {
            ctrl.minimized = !ctrl.minimized;
        }
    }
})();
